Extending Qt Creator Manual | Macro

Extending Qt Creator Manual 4.5.2

# Macro Class

(ProjectExplorer::Macro)

- List of all members, including inherited members

## Public Functions

| Macro() = default
| Macro(QByteArray key, QByteArray value, MacroType type = MacroType::Define)
| Macro(QByteArray key, MacroType type = MacroType::Define)
bool | isValid() const
QByteArray | toByteArray() const
QByteArray | toKeyValue(const QByteArray &prefix) const

## Static Public Members

Macro | fromKeyValue(const QString &utf16text)
Macro | fromKeyValue(const QByteArray &text)
QByteArray | toByteArray(const Macros &macros)
QByteArray | toByteArray(const QVector<Macros> &macross)
Macros | toMacros(const QByteArray &text)

## Member Function Documentation

### `[default]` Macro::Macro()

Default constructs an instance of Macro.

### Macro::Macro(QByteArray key, QByteArray value, MacroType type = MacroType::Define)

Default constructs an instance of Macro.

### Macro::Macro(QByteArray key, MacroType type = MacroType::Define)

Default constructs an instance of Macro.

### `[static]` Macro Macro::fromKeyValue(const QString &utf16text)

### `[static]` Macro Macro::fromKeyValue(const QByteArray &text)

### bool Macro::isValid() const

### QByteArray Macro::toByteArray() const

### `[static]` QByteArray Macro::toByteArray(const Macros &macros)

### `[static]` QByteArray Macro::toByteArray(const QVector<Macros> &macross)

### QByteArray Macro::toKeyValue(const QByteArray &prefix) const

### `[static]` Macros Macro::toMacros(const QByteArray &text)